# Administration Reference

## backup addvolset

Purpose

Creates a new (empty) volume set

Synopsis

    backup addvolset -name <volume set name> [-temporary]
                     [-localauth]  [-cell <cell name>]  [-help]

    backup addvols -n <volume set name> [-t]  [-l]  [-c <cell name>]  [-h]

Description

The backup addvolset command creates a new volume set, by default adding it to the Backup Database. It is best that the volume set's name indicate the volume set's contents; for example, define the volume entries in the user volume set to match all user volumes. The volume set name must be unique within the Backup Database of the local cell.

After issuing this command, issue the backup addvolentry command to define the volume entries in the volume set.

Sometimes it is convenient to create volume sets without recording them permanently in the Backup Database, for example when using the backup volsetrestore command to restore a group of volumes that were not necessarily backed up together. To create a temporary volume set, include the -temporary flag. A temporary volume set exists only during the lifetime of the current interactive session, so the flag is effective only when used during an interactive session (opened by issuing the backup interactive command). If it is included when the command is issued at the regular command shell prompt, the command appears to succeed, but the volume set is not created. As noted, a temporary volume set ceases to exist when the current interactive session ends, or use the backup delvolset command to delete it before that.

One advantage of temporary volume sets is that the backup addvolset command, and any backup addvolentry commands subsequently used to add volume entries to it, complete more quickly than for regular volume sets, because no records are created in the Backup Database.

Options

-name
  Names the new volume set. The name can include up to 31 of any character other than the period. Avoid other metacharacters as well.

-temporary
  Creates a volume set that exists only within the context of the current interactive session. It is not added to the Backup Database.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the introductory backup reference page.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory backup reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command creates a volume set called sys:

       % backup addvolset sys

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

backup

backup addvolentry

backup delvolentry

backup delvolset

backup listvolsets

backup volsetrestore

© IBM Corporation 2000. All Rights Reserved